package com.nisum.myteam.service;

import java.util.List;
import java.util.Map;

import org.springframework.stereotype.Service;

import com.nisum.myteam.exception.handler.MyTeamException;
import com.nisum.myteam.model.Account;

@Service
public interface IAccountService {

	Account createAccount(Account account) throws MyTeamException;
	
	Account updateAccount(Account account) throws MyTeamException;

	boolean isAccountExists(Account account);
	
	List<Account> getAccounts() throws MyTeamException;

	List<Map<Object, Object>> getAccountsList() throws MyTeamException;

	Account deleteAccount(String accountId) throws MyTeamException;

	
	public List<Account> getAccountsAll() throws MyTeamException;
}
